#ifdef KITSCHY_DEBUG_MEMORY
#include "debug_memorymanager.h"
#endif

#ifdef _WIN32
#include "windows.h"
#endif

#include "stdio.h"
#include "math.h"
#include "stdlib.h"
#include "string.h"

#include "GL/gl.h"
#include "SDL.h"
#include "SDL_mixer.h"

#include "BList.h"
#include "Symbol.h"
#include "2DCMC.h"
#include "auxiliar.h"
#include "GLTile.h"
#include "2DCMC.h"
#include "keyboardstate.h"
#include "randomc.h"

#include "GLTManager.h"
#include "SoundManager.h"
#include "SFXManager.h"
#include "MusicManager.h"
#include "KObject.h"
#include "Knightmare.h"
#include "KnightmareApp.h"

int KnightmareApp::splash_cycle(KEYBOARDSTATE *k)
{
    if (m_state_cycle >= 600) {
        return STATE_MSX;
    }

    return STATE_SPLASH;
}

void KnightmareApp::splash_draw(void)
{
    glClearColor(0, 0, 0, 1);
    glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);

	// The Rules forbit the splash screen to be faded in/out (stupid, I know, but don't ask me). So, no fades... :(
/*
    if (m_state_cycle >= 50 && m_state_cycle < 100)
        m_GLTM->get("splash640x480.png")->draw((m_state_cycle - 50)*0.02F, (m_state_cycle - 50)*0.02F, (m_state_cycle - 50)*0.02F, 1.0F);
    if (m_state_cycle >= 100 && m_state_cycle < 600)
        m_GLTM->get("splash640x480.png")->draw();
    if (m_state_cycle >= 600 && m_state_cycle < 650)
        m_GLTM->get("splash640x480.png")->draw((650 - m_state_cycle)*0.02F, (650 - m_state_cycle)*0.02F, (650 - m_state_cycle)*0.02F, 1.0F);
*/
        m_GLTM->get("splash640x480.png")->draw();

}

